- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
NegMap< M > Class Template Reference
Map Adaptors

## Detailed Description

### template<typename M>
class lemon::NegMap< M >

This read-only map returns the negative of the values of the given map (using the unary `-` operator). Its `Key` and `Value` are inherited from `M`.

If M::Value is `int`, `double` etc., then

* NegMap<M> neg(m);
*

is equivalent to

* ScaleMap<M> neg(m,-1);
*

The simplest way of using this map is through the negMap() function.

See Also
  NegWriteMap

`#include <lemon/maps.h>`

Inheritance diagram for NegMap< M >:
[legend]

## Public Types
typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions
| NegMap (const M &m)
| Constructor.
Value | operator[] (const Key &k) const

## Related Functions
(Note that these are not member functions.)
template<typename M >
NegMap< M > | negMap (const M &m)
| Returns a `NegMap` class. More...